Bug 1652849 - JSON::Any cannot handle JSON::XS 4.0
Summary: JSON::Any cannot handle JSON::XS 4.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-JSON-Any
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-23 09:49 UTC by Petr Pisar
Modified: 2019-02-11 11:21 UTC (History)
6 users (show)

Fixed In Version: perl-JSON-Any-1.39-12.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 11:21:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 127753 None None None 2018-11-23 09:49:12 UTC

Description Petr Pisar 2018-11-23 09:49:13 UTC
After upgrading perl-JSON-XS from 3.04 to 3.0, JSON::Any fails to use JSON::XS:

$ perl -e 'use JSON::Any'
Couldn't find a working decoder method (but found handler JSON::XS 4.0). at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

To reproduce this issue, you need to uninstall all the other Perl JSON modules except perl-JSON-XS.

This issue prevents perl-Test-JSON from being built <https://apps.fedoraproject.org/koschei/build/5698823>.

Comment 1 Petr Pisar 2018-11-23 09:50:26 UTC
(In reply to Petr Pisar from comment #0)
> After upgrading perl-JSON-XS from 3.04 to 3.0, JSON::Any fails to use

A typo: to 4.0.

Comment 2 Petr Pisar 2019-01-07 15:14:44 UTC
This blocks perl-POE-Component-Server-Bayeux <https://apps.fedoraproject.org/koschei/build/5713674>.

Comment 3 Petr Pisar 2019-01-07 15:16:21 UTC
And also perl-Test-JSON <https://apps.fedoraproject.org/koschei/build/5698823>.

Comment 4 Petr Pisar 2019-02-11 10:09:54 UTC
We need to fix this package to unblock rebuilding other packages. I have a fix including tests, upstream did not responded. I'm going to apply the conservative fix that restores compatibility with latest JSON::XS but disables the incompatible allow_nonref feature.


Note You need to log in before you can comment on or make changes to this bug.